name: Check Release Manifest Local Charts Versions
on:
  pull_request:
      branches-ignore:
      - "devel"


jobs:
  sync-pr-project:
    name: "Check Release Manifest Local Charts Versions"
    runs-on: tumbleweed
    steps:
        # Waiting on PR to get merged for support in upstream action/checkout action
      - uses: 'https://github.com/yangskyboxlabs/action-checkout@sha256'
        name: Checkout repository
        with:
          object-format: 'sha256'
      - name: Setup dependencies
        run: |
          zypper in -y python3-ruamel.yaml
      - name: Check release manifest
        run: |
          python3 .obs/manifest-check.py --check
